Subject: Re: bug#59935: 29.0.60; project-list-buffers is slow

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 16:33:59 +0200

> Date: Sat, 10 Dec 2022 13:37:37 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 10/12/2022 13:12, Eli Zaretskii wrote:
> >> Date: Sat, 10 Dec 2022 12:47:38 +0200
> >> Cc:[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >>> If so, I don't understand why a
> >>> trivial change to project-list-buffers could not call project-buffers
> >>> just once, and then reuse the value in the call to
> >>> list-buffers-noselect both as the BUFFER-LIST argument and (if needed)
> >>> in the FILTER-PREDICATE argument, using memq.
> >> If we just do that, pressing 'g' will only show the buffers that
> >> belonged to the project when project-list-buffers was called. And not
> >> necessarily the*current*  list of project buffers.
> >>
> >> The previously attached patches solved that problem.
> > I don't understand: how is 'g' relevant?  You were talking about
> > 'C-x p C-b' in your original message.
> 
> 'C-x p C-b' creates a buffer which lists buffers. It also sets up 
> revert-buffer-function in that buffer.
> 
> And pressing 'g' in that new buffer should supposedly refresh that list 
> of buffers appropriately.

OK, but I didn't suggest making any changes to revert-buffer-function
set up by "C-x p C-b".  You can still use process-buffers there, and
it shouldn't slow down "C-x p C-b" itself, since the call to
process-buffers that is part of revert-buffer-function is not supposed
to be evaluated when you set revert-buffer-function.  Right?  Or what
else am I missing?